/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.js.loader.modules.extender.npm;

import org.osgi.framework.Bundle;

/**
 * This is an interface for registering OSGi services that get notified whenever
 * the {@link NPMRegistry} is updated.
 *
 * {@link JSBundleTracker} objects can be registered with the
 * {@link NPMRegistry} calling
 * {@link NPMRegistry#addJSBundleTracker(JSBundleTracker)} or declaring them as
 * OSGi services (in that case the {@link NPMRegistry} will find and attach
 * them).
 *
 * The reason for {@link NPMRegistry#addJSBundleTracker(JSBundleTracker)} to
 * exist is that sometimes you need to implement a {@link JSBundleTracker} in a
 * service which depends on {@link NPMRegistry} and thus, you cannot declare it
 * as a {@link JSBundleTracker} because OSGi will complain about a soft circular
 * dependency.
 *
 * @author     Iván Zaera
 * @deprecated As of Mueller (7.2.x), with no direct replacement
 * @review
 */
@Deprecated
public interface JSBundleTracker {

	public void addedJSBundle(
		JSBundle jsBundle, Bundle bundle, NPMRegistry npmRegistry);

	public void removedJSBundle(
		JSBundle jsBundle, Bundle bundle, NPMRegistry npmRegistry);

}