/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.js.loader.modules.extender.npm;

import com.liferay.portal.kernel.servlet.PortalWebResources;

/**
 * Should be implemented by every {@link PortalWebResources} that is based on
 * Javascript content and needs to be notified every time a {@link JSBundle}
 * gets started in order, for example, to refresh its cached content.
 *
 * @author Mariano Álvaro Sáiz
 */
public interface JavaScriptAwarePortalWebResources extends PortalWebResources {

	public void updateLastModifed(long lastModified);

}