/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.frontend.js.loader.modules.extender.npm;

/**
 * @author Iván Zaera Avellón
 */
public interface NPMResolver {

	/**
	 * @throws UnsupportedOperationException if the associated bundle does not contain AMD modules
	 * @review
	 */
	public JSPackage getDependencyJSPackage(String packageName);

	/**
	 * @throws UnsupportedOperationException if the associated bundle does not contain AMD modules
	 * @review
	 */
	public JSPackage getJSPackage();

	/**
	 * @throws UnsupportedOperationException if the associated bundle does not contain AMD modules
	 * @review
	 */
	public String resolveModuleName(String moduleName);

}